<?php	
session_start();		//初始化session变量
require_once("config.php");	//连接smarty的配置文件
require_once("conn.php");		//连接数据库
$array=explode("@",$_SESSION["goodsid"]);		//将session变量中存储的数据输出到数组中
$arraynum=explode("@",$_SESSION["goodsnum"]);	//将session变量中存储的数据输出到数组中
$totalprice=0;									//定义价格变量
$arrayinfo=array();								//创建数组
for($i=0;$i<count($array);$i++){
	if($array[$i]!=""){
		//根据数组中提供的商品ID，从数据库中读取出指定商品的信息
		$sqlcart=mysql_query("select * from tb_commodity where tb_commodity_id='".$array[$i]."'",$conn);
		$infocart=mysql_fetch_array($sqlcart);	//读取数据库中数据
		array_push($infocart,$arraynum["$i"]);  //将购买数量的数据写入到数据库中返回的数组中    
    	array_push($arrayinfo,$infocart);       //将整理的数据压入到创建的新数组中
    	$totalprice+=$infocart["tb_commodity_price"]*$arraynum["$i"];		//计算总的价格
	}

}
if(count($arrayinfo)>0){						//判断数组是否为空
	$smarty->assign("isShow","T");
  	$smarty->assign("myrow",$arrayinfo);		//定义模板变量
  	$smarty->assign("totalprice",$totalprice);	//定义模板变量
}else{
  	$smarty->assign("isShow","F");
}
$smarty->display("shopping_car.tpl");	//定义模板页
?>
